package com.steerinfo.ems.trmindextype.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmIndexType implements IBasePO<String> {
    /**
     * 类别列(INDEXCOL,VARCHAR,20)
     */
    @ApiModelProperty(value="类别列",required=false)
    private String indexcol;

    /**
     * 指标类型代码(INDEXID,VARCHAR,40)
     */
    @ApiModelProperty(value="指标类型代码",required=false)
    private String indexid;

    /**
     * 指标类型名称(INDEXNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="指标类型名称",required=true)
    private String indexname;

    /**
     * 指标类型描述(INDEXDESC,VARCHAR,500)
     */
    @ApiModelProperty(value="指标类型描述",required=true)
    private String indexdesc;

    private static final long serialVersionUID = 1L;

    public String getIndexcol() {
        return indexcol;
    }

    public void setIndexcol(String indexcol) {
        this.indexcol = indexcol == null ? null : indexcol.trim();
    }

    public String getIndexid() {
        return indexid;
    }

    public void setIndexid(String indexid) {
        this.indexid = indexid == null ? null : indexid.trim();
    }

    public String getIndexname() {
        return indexname;
    }

    public void setIndexname(String indexname) {
        this.indexname = indexname == null ? null : indexname.trim();
    }

    public String getIndexdesc() {
        return indexdesc;
    }

    public void setIndexdesc(String indexdesc) {
        this.indexdesc = indexdesc == null ? null : indexdesc.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", indexcol=").append(indexcol);
        sb.append(", indexid=").append(indexid);
        sb.append(", indexname=").append(indexname);
        sb.append(", indexdesc=").append(indexdesc);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public String getId() {
        return null;
    }

    @Override
    public void setId(String s) {

    }
}